#!/usr/bin/python
'''
Please make sure the 2.4inch LCD Moudle is connected to the correct pins.
The following table describes how to connect the 2.4inch LCD Module to the 40-pin header.
-------------------------------------------------
__2.4inch LCD Module___Pin Number_____Pin Name
    VCC                  17           3.3 V Power
    GND                  39             GND
    DIN                  19           SPI MOSI
    CLK                  23           SPI SCLK
    CS                   24           SPI CE0
    DC                   40            GPIO0
    RST                  11            GPIO44
    BL                   18            GPIO19
-------------------------------------------------
'''

import os
import sys 
import time
import logging
from PIL import Image
sys.path.append("..")

from  lib import LCD2inch4_lib

'''
Demo modification ans new function description
------------------------------------------------------------
  I.   add the clear() function to fill LCD screen with white
  II.  give a hexadecimal value of white
  III. cycle through multiple pictures
---------------------------------------------------------------
'''

WHITE = 0xFF

def main():    
    print('-----------lcd demo-------------')    
  
    """The initialization settings of 2inch and 2.4inch are distinguished"""
    disp = LCD2inch4_lib.LCD_2inch4(44, 0, '/dev/spidev0.0')      
    #disp.lcd_init()
    disp.lcd_init_2inch4()

    disp.lcd_clear(WHITE)
    
    image = Image.open('./visionfive.bmp')
    disp.lcd_ShowImage(image, 0, 0)
    time.sleep(2)

    """add the part of displaying pictures circularly"""
    while True:
        print(time.strftime("%Y-%m-%d %H:%M:%S",time.localtime(time.time())))

        """rotate the picture 90 degrees anticlockwise"""
        """to keep consistent with the display direction of other pictures"""
        image = Image.open('./LCD_2inch4_parrot.bmp')
        image = image.transpose(Image.Transpose.ROTATE_90)
        disp.lcd_ShowImage(image, 0, 0)

        image = Image.open('./LCD_2inch.jpg')
        disp.lcd_ShowImage(image, 0, 0)
   
    
if __name__=="__main__":
    main()
